<?php

namespace App\Http\Controllers;


class VrstvaController extends Controller
{
    public $Mapa;
    public $IDVrstva;
    public $TypVrstvy;
    public $VrstvaJS = '';

    public function __construct($mapa)
    {
        $this->Mapa = $mapa;
    }

    public static $VRSTVA_MARKERU = 'Marker';

    public function setIdVrstva ($parametr): void
    {
        $this->IDVrstva=$parametr;
    }

    public function nastavTypVrstvy($parametr): void
    {
        $this->TypVrstvy=$parametr;
    }

    public function vytvorJavaScriptProVrstvu(): void
    {
        $this->VrstvaJS .= "
            var $this->IDVrstva = new SMap.Layer.$this->TypVrstvy();
            {$this->Mapa->ParametrMapy}.addLayer($this->IDVrstva).enable();\n";
    }
}
